! gr_types.f90 - derived type interface for grads variable interface
! Copyright (C) GFD Dennou Club, 2000.  All rights reserved
! vi: set ts=8 sw=4:

module gr_types

    integer, parameter:: GR_VARNAME_MAX = 8
    integer, parameter:: GR_NDIMS_ALL = 4

    type GR_VARIABLE
        !
        ! ID 情報
        !        変数 (gr_variable 実体) は (/fileid, varname/) で
        !        同定される。正当な変数の fileid は必ず正である。
        !  
        integer:: fileid
        character(len = GR_VARNAME_MAX):: varname
        !
        ! 入出力範囲限定
        !       変数は必ず 4 次元であるためこれらの配列は固定長で確保される。
        !  
        integer:: start(GR_NDIMS_ALL)
        integer:: count(GR_NDIMS_ALL)
        integer:: stride(GR_NDIMS_ALL)
        integer:: allcount(GR_NDIMS_ALL)
    end type

end module
